//
//  NSArray+SCAdditions.h
//  SweetCocoa
//
//  Created by Rico on 1/7/12.
//  Copyright (c) 2012 Kitestack Software. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NSArray (SCAdditions)

- (id) scBoundsSafeObjectAtIndex:(NSInteger)index;

- (id) scObjectAfter:(id)marker  rotate:(BOOL)doRotate;
- (id) scObjectBefore:(id)marker rotate:(BOOL)doRotate;

- (NSArray*) scArrayByTrimmingStringsAndRemovingEmptyOnes;

- (NSArray *) scMap:(id (^)(id object)) mappingBlock;

@end
